[![CRAN_Status_Badge](http://www.r-pkg.org/badges/version/dnet)](https://CRAN.R-project.org/package=dnet)
[![CRAN_Downloads_Badge](http://cranlogs.r-pkg.org/badges/grand-total/dnet?color=brightgreen)](http://cranlogs.r-pkg.org/downloads/total/last-month/dnet)

<a href="index.html"><IMG src="dnet_logo1.png" height="100px" id="logo"></a>

<B><h4>An open-source R package for omics data integrative analysis in terms of `network`, `evolution` and `ontology`</h4></B>

## User I/O

<a href="faqs.html"><img style="max-width:95%;border:1px solid #FF0000;box-shadow:5px 5px 2px #FFC0C0;" src='dnet_userIO.png', width="700px"/></a>

## Features

* Identification of gene-active networks from high-throughput omics data (e.g. <a href="demo-TCGA.html" target="slides" style="font-size: 12px; color: #0000FF; text-decoration: overline; border-bottom: 1px solid #0000FF">mutation</a>, <a href="demo-Fang.html" target="slides" style="font-size: 12px; color: #0000FF; text-decoration: overline; border-bottom: 1px solid #0000FF">expression</a>, and <a href="demo-Hiratani.html" target="slides" style="font-size: 12px; color: #0000FF; text-decoration: overline; border-bottom: 1px solid #0000FF">replication timing</a>);
* Network-based sample classifications and visualisations on 2D sample landscape;
* Random Walk with Restart for network affinity calculation;
* Semantic similarity between ontology terms (and between their annotated genes);
* Enrichment analysis using a variety of built-in databases;
* A wide variety of built-in <a href="rdata.html" target="slides" style="font-size: 12px; color: #0000FF; text-decoration: overline; border-bottom: 1px solid #0000FF">RData</a>: ontologies (including `Gene Ontology`, `Disease Ontology`, `Human Phenotype` and `Mammalian Phenotype`), gene evolutionary age information and gene association networks in well-studied organisms (including human, mouse, rat, chicken, c.elegans, fruitfly, zebrafish and arabidopsis);
* Support for high-performance parallel computing;
* A tool with rich visuals but less inputs, which can run on `Windows`, `Mac` and `Linux`.

## More

* <a href="poster_ISMB2014.png" target="slides" style="font-size: 12px; color: #F87217; text-decoration: overline; border-bottom: 1px solid #F87217">Poster in ISMB2014</a>
